<!DOCTYPE html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
  <link rel="stylesheet" type="text/css" href="/mirador-2.6.1/css/mirador-combined.css">
  <title>Mirador Viewer</title>
  <style type="text/css">
    body { padding: 0; margin: 0; overflow: hidden;}
    #viewer {width: 100%; height: 100%; position: fixed; }
  </style>
  <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css" integrity="sha384-5sAR7xN1Nv6T6+dT2mhtzEpVJvfS3NScPQTrOxhwjIuvcA67KV2R5Jz6kr4abQsz" crossorigin="anonymous"/>
</head>
<body>
  <div id="viewer"></div>

  <script src="/mirador-2.6.1/mirador.js"></script>
  <script type="text/javascript">

    $(function() {
      Mirador({
        "id": "viewer",
        "layout": "1x1",
		  "mainMenuSettings" :
		  {


		  		"show": true,
		  		"buttons" : {"bookmark" : true, "layout" : true},
		  		"userLogo": {"label": "IIIF", "attributes": {"href": "http://iiif.io"}},
                "userButtons": [
                    {
                        "label": "Stats",
                        "iconClass": "fa fa-chart-pie",
                        "attributes": { "href": "/stats/index.html"}
                    },
                    {
                        "label": "Load Annotation List",
                        "iconClass": "fa fa-upload",
                        "attributes": {"href": "/populate.html"}
                    },
                    {
                        "label": "Index Manifest",
                        "iconClass": "fa fa-upload",
                        "attributes": { "href": "/uploadManifest.html"}
                    },
                ]
		  },
		  'showAddFromURLBox' : true,
		  "saveSession": true,
        "data": [
            {"manifestUri": "https://www.e-rara.ch/i3f/v20/2224875/manifest", "location": "ETH Zürich e-rara"},
        ],
        "windowObjects": [],
		  /** Testing Annotations **/
		  annotationEndpoint: {
				name: 'Simple Annotation Store Endpoint',
				module: 'SimpleASEndpoint',
				options: {
					url: '/annotation',
				  storeId: 'magnetism',
				  APIKey: 'user_auth'
				}
		  }
      });
    });
  </script>
</body>
</html>
